aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--queue2pgsql.py1
-rwxr-xr-xrun.sh2
2 files changed, 1 insertions, 2 deletions
diff --git a/queue2pgsql.py b/queue2pgsql.py
index a555846..f5be1d9 100644
--- a/queue2pgsql.py
+++ b/queue2pgsql.py
@@ -25,7 +25,6 @@ q.prune()
# Event loop
while True:
if q.empty() == True:
- print("Queue empty. Sleeping 10s")
time.sleep(10)
continue
task = q.pop()
diff --git a/run.sh b/run.sh
index a46ec0b..8efffd5 100755
--- a/run.sh
+++ b/run.sh
@@ -7,4 +7,4 @@ cd ${0:h}
setopt all_export
source .env
unsetopt all_export
-./venv/bin/python3 $1
+./venv/bin/python3 $1 || exit 1